Skip to content

Tenant Settings.

PUT
/api/web/namespaces/system/tenant/settings
curl --request PUT \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/tenant/settings \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "max_credentials_expiry": { "max_api_certificate_expiry_days": 1, "max_api_token_expiry_days": 1, "max_kube_config_expiry_days": 1 }, "otp_enabled": true }'

Tenant settings.

Examples of this operation.

Media typeapplication/json
UpdateTenantSettingsRequest

Request to update tenant settings for specific tenant.

object
max_credentials_expiry
object
max_api_certificate_expiry_days
Certificate expiry period

Certificate expiry period as days.

integer format: int32
max_api_token_expiry_days
Token expiry period

Token expiry period as days.

integer format: int32
max_kube_config_expiry_days
Kubeconfig expiry period

TokeKubeconfign expiry period as days.

integer format: int32
otp_enabled
OTP Enabled

OTP configuration for tenant scope.

boolean format: boolean
Examplegenerated
{
"max_credentials_expiry": {
"max_api_certificate_expiry_days": 1,
"max_api_token_expiry_days": 1,
"max_kube_config_expiry_days": 1
},
"otp_enabled": true
}

A successful response.

Media typeapplication/json
TenantSettingsResponse

Defines tenant specific settings.

object
max_credentials_expiry
object
max_api_certificate_expiry_days
Certificate expiry period

Certificate expiry period as days.

integer format: int32
max_api_token_expiry_days
Token expiry period

Token expiry period as days.

integer format: int32
max_kube_config_expiry_days
Kubeconfig expiry period

TokeKubeconfign expiry period as days.

integer format: int32
otp_enabled
OTP Enabled

OTP configuration for tenant scope.

boolean format: boolean
otp_status
string
default: OTP_DISABLED
Allowed values: OTP_DISABLED OTP_ENABLED OTP_PROCESSING OTP_PROCESS_DISABLING
scim_enabled
scim_enabled

Flag to show SCIM is enabled for specific tenant.

boolean format: boolean
sso_enabled
SSO Enabled

Flag to show SSO is enabled for specific tenant.

boolean format: boolean
validation_errors
validation errors

X-displayName : “Validation errors” collection of validation errors.

Array<object>
Validation error field

Contains information on a single validation error.

object
error_field
Error field

Path indicates the field that is not valid.

string
<= 1024 characters
error_message
Error message

More descriptive error message.

string
<= 1024 characters
Example
{
"otp_status": "OTP_DISABLED"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example